package com.clx.performance.service.loan;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.loan.carrier.*;
import com.clx.performance.vo.pc.loan.carrier.BorrowerConfigVO;

import java.util.List;

/**
 * @Author: aiqinguo
 * @Description: 借出方
 * @Date: 2024/01/17 13:42:57
 * @Version: 1.0
 */
public interface BorrowerConfigService {

    void saveBorrowerConfig(BorrowerConfigAddParam param);
    void updateBorrowerConfig(BorrowerConfigUpdateParam param);
    void updateStatus(BorrowerConfigStatusUpdateParam param);
    void updateDelete(BorrowerConfigDeleteUpdateParam param);

    IPage<BorrowerConfigVO> pageBorrowerConfig(PageBorrowerConfigParam param);
    List<BorrowerConfigVO> ListBorrowerConfig();

}
